package com.xzzn.ems.domain.vo;

import java.math.BigDecimal;

/**
 * 站点总信息
 *
 */
public class SiteTotalInfoVo {
    /**
     * 站点总数（座）
     */
    private int siteNum;

    /**
     * 装机功率（MW）
     */
    private BigDecimal installPower;

    /**
     * 装机容量（MW）
     */
    private BigDecimal installCapacity;

    /**
     * 总充电量（MWH）
     */
    private BigDecimal totalChargedCap;

    /**
     * 总放电量（MWH）
     */
    private BigDecimal totalDischargedCap;

    public int getSiteNum() {
        return siteNum;
    }

    public void setSiteNum(int siteNum) {
        this.siteNum = siteNum;
    }

    public BigDecimal getTotalDischargedCap() {
        return totalDischargedCap;
    }

    public void setTotalDischargedCap(BigDecimal totalDischargedCap) {
        this.totalDischargedCap = totalDischargedCap;
    }

    public BigDecimal getTotalChargedCap() {
        return totalChargedCap;
    }

    public void setTotalChargedCap(BigDecimal totalChargedCap) {
        this.totalChargedCap = totalChargedCap;
    }

    public BigDecimal getInstallCapacity() {
        return installCapacity;
    }

    public void setInstallCapacity(BigDecimal installCapacity) {
        this.installCapacity = installCapacity;
    }

    public BigDecimal getInstallPower() {
        return installPower;
    }

    public void setInstallPower(BigDecimal installPower) {
        this.installPower = installPower;
    }

    @Override
    public String toString() {
        return "SiteVo{" +
                "siteNum=" + siteNum +
                ", installedPower=" + installPower +
                ", installedCap=" + installCapacity +
                ", totalChargedCap=" + totalChargedCap +
                ", totalDischargedCap=" + totalDischargedCap +
                '}';
    }
}
